Subject: Re: [RESEND] [PATCH] tcp: fix for splice receive when used with software LRO

From: Jarek Poplawski <[email-masked]>
Date: Fri, 20 Jun 2008 13:01:29 +0000

On Fri, Jun 20, 2008 at 03:39:24PM +0300, Octavian Purdila wrote:
> On Friday 20 June 2008, Jarek Poplawski wrote:
> 
> > If so, can't we make it all simpler now, without this new "error"
> > variable, and simply skipping this: "if (spd->nr_pages - nr_pages)"
> > test under "done:", so, doing this block unconditional or maybe (I
> > didn't check this enough) changing this test a little to catch there
> > this offset update for frag_list?
> 
> Let me try to wrap my brain around this again :) and see if we don't miss 
> anything. In the process, maybe I can even find a way to make this code 
> easier to understand.
> 

Sure, no need to hurry, and after all, I'm OK with the current patch too.

Jarek P.